%bcond_without check

%global srcname pandas-datareader
%global summary Data readers from the pandas codebase

%global common_description                                                   \
Data readers extracted from the pandas codebase, should be compatible with   \
recent pandas versions.

Name: python-%{srcname}
Version: 0.10.0
Release:    1%{?dist}
Summary: %{summary}
License: BSD-3-Clause

URL: https://github.com/pydata/pandas-datareader
Source0: %{pypi_source}
Patch0: pandas-datareader-python312.patch

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
%{common_description}

%package -n python3-%{srcname}
Summary: %{summary}

%if %{with check}
BuildRequires: python3-pytest
BuildRequires: python3-numpy
BuildRequires: python3-pandas
BuildRequires: python3-requests
BuildRequires: python3-wrapt
%endif


%description -n python3-%{srcname}
%{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files pandas_datareader

%check


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.0-1
- initial build
